com.thinkaurelius.titan.util.datastructures

## Class CompactMap

- java.lang.Object
- - com.thinkaurelius.titan.util.datastructures.CompactMap

- All Implemented Interfaces:
    Map<String,Object>

      public class CompactMap
      extends Object
      implements Map<String,Object>

  CompactMap is compact representation of the `Map` interface which is immutable.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(Object o)`
    `boolean` | `containsValue(Object o)`
    `Set<Map.Entry<String,Object>>` | `entrySet()`
    `Object` | `get(Object o)`
    `boolean` | `isEmpty()`
    `Set<String>` | `keySet()`
    `static CompactMap` | `of(String[] keys, Object[] values)`
    `Object` | `put(String s, Object o)`
    `void` | `putAll(Map<? extends String,? extends Object> map)`
    `Object` | `remove(Object o)`
    `int` | `size()`
    `Collection<Object>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Method Detail

    - #### of

          public static final CompactMap of(String[] keys,
                      Object[] values)

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map<String,Object>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map<String,Object>`

    - #### containsKey

          public boolean containsKey(Object o)

      Specified by:
        `containsKey` in interface `Map<String,Object>`

    - #### containsValue

          public boolean containsValue(Object o)

      Specified by:
        `containsValue` in interface `Map<String,Object>`

    - #### get

          public Object get(Object o)

      Specified by:
        `get` in interface `Map<String,Object>`

    - #### put

          public Object put(String s,
                   Object o)

      Specified by:
        `put` in interface `Map<String,Object>`

    - #### remove

          public Object remove(Object o)

      Specified by:
        `remove` in interface `Map<String,Object>`

    - #### putAll

          public void putAll(Map<? extends String,? extends Object> map)

      Specified by:
        `putAll` in interface `Map<String,Object>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<String,Object>`

    - #### keySet

          public Set<String> keySet()

      Specified by:
        `keySet` in interface `Map<String,Object>`

    - #### values

          public Collection<Object> values()

      Specified by:
        `values` in interface `Map<String,Object>`

    - #### entrySet

          public Set<Map.Entry<String,Object>> entrySet()

      Specified by:
        `entrySet` in interface `Map<String,Object>`

Copyright © 2012–2014. All rights reserved.